Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESGlobal

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESObject
                  |
                  +--com.caucho.es.ESGlobal

public class ESGlobal
extends ESObject

Implementation class representing the global object.

Fields inherited from class com.caucho.es.ESObject
`snapPrototype`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`void` | `setProperty(java.lang.String name, ESBase value)`
`java.lang.Object` | `toJavaObject()`
`ESBase` | `toPrimitive(int hint)` returns a primitive
`ESString` | `toStr()` returns the string representation
`ESBase` | `typeof()` Returns the string representation of the type.

Methods inherited from class com.caucho.es.ESObject
`call, canPut, construct, copy, copy, copy, delete, ecmaEquals, getProperty, keys, put, put, put, setProperty, shallowCopy, toBoolean, toNum, toObject, toSource, unwatch, watch`

Methods inherited from class com.caucho.es.ESBase
`call, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, lessThan, plus, setProperty, toInt32, toJavaString, toPrimitive, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### typeof

    public ESBase typeof()
                  throws ESException

  Returns the string representation of the type.
  Overrides:
    typeof in class ESObject

### toStr

    public ESString toStr()
                   throws ESException

  returns the string representation
  Overrides:
    toStr in class ESObject

### toPrimitive

    public ESBase toPrimitive(int hint)
                       throws ESException

  returns a primitive
  Overrides:
    toPrimitive in class ESObject

### setProperty

    public void setProperty(java.lang.String name,
                            ESBase value)
                     throws java.lang.Exception

  Overrides:
    setProperty in class ESBase

### toJavaObject

    public java.lang.Object toJavaObject()
                                  throws ESException

  Overrides:
    toJavaObject in class ESObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD